Bug 522946 - pidfile location of dkim-milter
Summary: pidfile location of dkim-milter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dkim-milter
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jim Radford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 15:05 UTC by Stefan Schulze Frielinghaus
Modified: 2009-10-08 18:04 UTC (History)
1 user (show)

Fixed In Version: 2.8.3-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 09:44:25 UTC


Attachments (Terms of Use)
relocate pidfile (933 bytes, patch)
2009-09-12 15:05 UTC, Stefan Schulze Frielinghaus
no flags Details | Diff

Description Stefan Schulze Frielinghaus 2009-09-12 15:05:44 UTC
Created attachment 360786 [details]
relocate pidfile

Description of problem:
The init script of dkim-milter touches /var/run/dkim-milter.pid and then chown's the file. Creating a SELinux policy is really hard in such a case because the file gets labeled as initrc_var_run_t but would need a type transition to milter_dkim_data_t.

To solve this couldn't we write the pid file to /var/run/dkim-milter/dkim-milter.pid? This directory is owned by dkim-milter and therefore already writeable for the unprivileged user. This would solve the problem with SELinux policy writing and shouldn't hurt.

Comment 1 Fedora Update System 2009-09-14 20:15:47 UTC
dkim-milter-2.8.3-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dkim-milter-2.8.3-3.el5

Comment 2 Fedora Update System 2009-09-14 20:16:48 UTC
dkim-milter-2.8.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dkim-milter-2.8.3-3.fc11

Comment 3 Fedora Update System 2009-09-14 20:17:45 UTC
dkim-milter-2.8.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dkim-milter-2.8.3-3.fc10

Comment 4 Stefan Schulze Frielinghaus 2009-09-15 09:45:33 UTC
Version dkim-milter-2.8.3-3 works fine. Thanks + Closed.

Comment 5 Fedora Update System 2009-09-15 21:00:44 UTC
dkim-milter-2.8.3-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-09-15 21:02:38 UTC
dkim-milter-2.8.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-10-08 18:04:00 UTC
dkim-milter-2.8.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.